## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iJob Struct Reference

A unit of work passed to iJobQueue. More...

`#include <iutil/job.h>`

Inheritance diagram for iJob:

[legend]
List of all members.

## Public Member Functions

virtual void | Run ()=0
| Do stuff.

## Detailed Description

A unit of work passed to iJobQueue.

Remarks:
  A job must be self-contained and thread-safe!

Definition at line 35 of file job.h.

## Member Function Documentation

virtual void iJob::Run | ( |  | ) | `[pure virtual]`

| Do stuff. Implemented in csCommonImageFile::LoaderJob.

The documentation for this struct was generated from the following file:

- iutil/job.h